careCycle
CampaignsBlock snippets

Get Campaign Block Snippet Assignments

Get all block-snippet assignments for a campaign.

GET
/v2/campaigns/{campaignId}/block-snippets

Authorization

x-api-key
x-api-key<token>

API key required for authentication.

Keys begin with 'cc_' prefix. Get your API key from the Developer Dashboard.

In: header

Path Parameters

string

Campaign ID

Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Formatuuid

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.carecycle.ai/v2/campaigns/497f6eca-6276-4993-bfeb-53cbbbba6f08/block-snippets"
{
  "assignments": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "createdAt": null,
      "campaignId": "13f8bf6d-dc27-4a04-bffe-6e5b13c19ddf",
      "blockId": "fcde1d7c-c9cf-4365-8b6f-51bb6a8bc460",
      "snippetId": "ecb0f447-186f-4346-95ab-e27b9e84b6b4",
      "transferConfigId": "e0ca1204-c276-46be-8cf8-5259ed04eb66",
      "appointmentConfigId": "1c7d76df-b376-45c7-a6f4-7e4bd224ddc2",
      "afterHoursBlockId": "67b2a124-4795-4fed-8c57-0e2417fda047",
      "afterHoursTransferConfigId": "6ce8c3e4-145f-4a90-b651-30ca815d9242",
      "afterHoursAppointmentConfigId": "a372642e-8e77-4832-b8b0-f7e3c22e825f",
      "capabilityId": "486ae165-7fa3-4fe9-8d0b-0636c8459cb3",
      "scope": "business_hours",
      "appliesTo": "string",
      "enabled": true,
      "priority": -2147483648,
      "isDefault": true,
      "settings": "string",
      "block": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "createdAt": null,
        "updatedAt": null,
        "name": "string",
        "tag": "string",
        "description": "string",
        "toolType": "string",
        "enabled": true,
        "kind": "tool",
        "contract": "string",
        "injectionTag": "string"
      },
      "snippet": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "createdAt": null,
        "updatedAt": null,
        "clientId": "5e505642-9024-474d-9434-e5a44f505cc5",
        "name": "string",
        "description": "string",
        "examples": "string",
        "toolsAllowlist": "string",
        "verticalAllowlist": "string",
        "suiteAllowlist": "string",
        "isSystem": true,
        "enabled": true
      },
      "transferConfig": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "createdAt": null,
        "updatedAt": null,
        "clientId": "5e505642-9024-474d-9434-e5a44f505cc5",
        "name": "string",
        "routingConfigId": "b6e138dd-eba1-4cd6-85c1-31882f4d70e7",
        "type": "direct",
        "warmTransfer": true,
        "directPhoneNumber": "string",
        "dynamicOptions": "string",
        "sipUri": "string",
        "sipHeaders": "string",
        "warmSummaryPrompt": "string",
        "warmMode": "wait-for-operator",
        "softphoneFallbackType": "appointment_booking",
        "softphoneHandoffStrategy": "wait-for-operator",
        "softphoneFallbackPhoneNumber": "string",
        "appointmentBookingEnabled": true,
        "appointmentConfigId": "1c7d76df-b376-45c7-a6f4-7e4bd224ddc2",
        "transferWaitingMessages": "string",
        "screenBehavior": "call-form",
        "callFormId": "ce7b9bca-896d-440b-961b-042f5bf12d2d"
      },
      "appointmentConfig": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "createdAt": null,
        "updatedAt": null,
        "clientId": "5e505642-9024-474d-9434-e5a44f505cc5",
        "name": "string",
        "description": "string",
        "concurrentLimit": -2147483648,
        "appointmentLength": -2147483648,
        "appointmentSpacing": -2147483648,
        "maxOptions": -2147483648,
        "minDate": "string",
        "maxDate": "string",
        "minHours": -2147483648,
        "preferredMode": "timezone",
        "appointmentMode": "phone_call",
        "showCallerIdOnBookingPage": true,
        "assignmentMode": "customer_agent",
        "routingConfigId": "b6e138dd-eba1-4cd6-85c1-31882f4d70e7",
        "transferConfigId": "e0ca1204-c276-46be-8cf8-5259ed04eb66",
        "workflows": "string",
        "bookingHours": "string",
        "createdBy": "25a02396-1048-48f9-bf93-102d2fb7895e",
        "updatedBy": "b0efe45f-0520-4e21-90f0-7e35f137732e"
      }
    }
  ],
  "total": 0
}
{
  "message": "string",
  "code": "string"
}
{
  "message": "string",
  "code": "string"
}
{
  "message": "string",
  "code": "string"
}
{
  "message": "string",
  "code": "string"
}
{
  "message": "string",
  "code": "VALIDATION_ERROR",
  "errors": [
    {
      "path": [
        "string"
      ],
      "message": "string",
      "expected": "string",
      "received": "string",
      "code": "string"
    }
  ],
  "failedRecords": [
    {
      "index": 0,
      "phoneNumber": "string",
      "firstName": "string",
      "lastName": "string",
      "externalId": "string"
    }
  ]
}
{
  "message": "string",
  "code": "string",
  "retryAfter": 0
}
{
  "message": "string",
  "code": "string"
}